Package org.bukkit.event.player

# Class PlayerRegisterChannelEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChannelEvent
org.bukkit.event.player.PlayerRegisterChannelEvent

public class PlayerRegisterChannelEvent extends PlayerChannelEvent
This is called immediately after a player registers for a plugin channel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerRegisterChannelEvent(@NotNull Player player, @NotNull String channel)`

## Method Summary

### Methods inherited from class org.bukkit.event.player.PlayerChannelEvent

`getChannel, getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerRegisterChannelEvent

public PlayerRegisterChannelEvent(@NotNull @NotNull Player player, @NotNull @NotNull String channel)